<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PenaltiesInfo StructType
 * Meta information extracted from the WSDL
 * - documentation: Penalties information
 * @subpackage Structs
 */
class PenaltiesInfo extends AbstractStructBase
{
    /**
     * The Penalty
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \SabreSoap\StructType\Penalty[]
     */
    public $Penalty;
    /**
     * Constructor method for PenaltiesInfo
     * @uses PenaltiesInfo::setPenalty()
     * @param \SabreSoap\StructType\Penalty[] $penalty
     */
    public function __construct(array $penalty = array())
    {
        $this
            ->setPenalty($penalty);
    }
    /**
     * Get Penalty value
     * @return \SabreSoap\StructType\Penalty[]|null
     */
    public function getPenalty()
    {
        return $this->Penalty;
    }
    /**
     * Set Penalty value
     * @param \SabreSoap\StructType\Penalty[] $penalty
     * @return \SabreSoap\StructType\PenaltiesInfo
     */
    public function setPenalty(array $penalty = array())
    {
        $this->Penalty = $penalty;
        return $this;
    }
    /**
     * Add item to Penalty value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\Penalty $item
     * @return \SabreSoap\StructType\PenaltiesInfo
     */
    public function addToPenalty(\SabreSoap\StructType\Penalty $item)
    {
        $this->Penalty[] = $item;
        return $this;
    }
}
