<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Weightings StructType
 * Meta information extracted from the WSDL
 * - documentation: Defines how important various parameter options are in the response. Sum of all weightings needs to equal 10.
 * @subpackage Structs
 */
class Weightings extends AbstractStructBase
{
    /**
     * The PriceWeight
     * Meta information extracted from the WSDL
     * - documentation: Defines how important price options are on a scale from 0 to 10.
     * - base: xs:unsignedShort
     * - maxInclusive: 10
     * - minInclusive: 0
     * - use: required
     * @var int
     */
    public $PriceWeight;
    /**
     * The TravelTimeWeight
     * Meta information extracted from the WSDL
     * - documentation: Defines how important travel time options are on a scale from 0 to 10.
     * - base: xs:unsignedShort
     * - maxInclusive: 10
     * - minInclusive: 0
     * - use: required
     * @var int
     */
    public $TravelTimeWeight;
    /**
     * Constructor method for Weightings
     * @uses Weightings::setPriceWeight()
     * @uses Weightings::setTravelTimeWeight()
     * @param int $priceWeight
     * @param int $travelTimeWeight
     */
    public function __construct($priceWeight = null, $travelTimeWeight = null)
    {
        $this
            ->setPriceWeight($priceWeight)
            ->setTravelTimeWeight($travelTimeWeight);
    }
    /**
     * Get PriceWeight value
     * @return int
     */
    public function getPriceWeight()
    {
        return $this->PriceWeight;
    }
    /**
     * Set PriceWeight value
     * @param int $priceWeight
     * @return \SabreSoap\StructType\Weightings
     */
    public function setPriceWeight($priceWeight = null)
    {
        $this->PriceWeight = $priceWeight;
        return $this;
    }
    /**
     * Get TravelTimeWeight value
     * @return int
     */
    public function getTravelTimeWeight()
    {
        return $this->TravelTimeWeight;
    }
    /**
     * Set TravelTimeWeight value
     * @param int $travelTimeWeight
     * @return \SabreSoap\StructType\Weightings
     */
    public function setTravelTimeWeight($travelTimeWeight = null)
    {
        $this->TravelTimeWeight = $travelTimeWeight;
        return $this;
    }
}
